LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | Public Attributes | List of all members
XPropertyControl Interface Reference

defines the interface for a single control in an ObjectInspector More...

`import"XPropertyControl.idl";`

Inheritance diagram for XPropertyControl:

## Public Member Functions
boolean | isModified ()
| determines whether the control content is currently modified More...
void | notifyModifiedValue ()
| notifies the context in which the control lives of the current control value, if this value is currently modified More...

## Public Attributes
short | ControlType
| denotes the type of the control, as one of the PropertyControlType constants More...
any | Value { set raises(com::sun::star::beans::IllegalTypeException); }
| denotes the current content of the control. More...
type | ValueType
| denotes the value type of the control. More...
XPropertyControlContext | ControlContext
| specifies the context of the control within the ObjectInspector. More...
com::sun::star::awt::XWindow | ControlWindow
| denotes the window which is the real UI representation of the property control. More...

## Detailed Description

defines the interface for a single control in an ObjectInspector

Since
  OOo 2.0.3

## Member Function Documentation

## ◆ isModified()

boolean isModified | ( |  | ) |

determines whether the control content is currently modified

An XPropertyControl internally manages a flag indicating whether its content is modified. This flag is reset to `FALSE` every time our ControlContext is notified of our current value. Also, the control implementation must set this flag to `TRUE` if and only if the user changed the control content.

See also
  notifyModifiedValue
  ControlContext
  XPropertyControlContext::valueChanged

## ◆ notifyModifiedValue()

void notifyModifiedValue | ( |  | ) |

notifies the context in which the control lives of the current control value, if this value is currently modified

See also
  isModified
  ControlContext
  XPropertyControlListener::valueChanged

## Member Data Documentation

## ◆ ControlContext

XPropertyControlContext ControlContext
| attribute

specifies the context of the control within the ObjectInspector.

The property control should actively notify its state changes to the context. In particular, changes in the focus and the value of the control must be notified.

## ◆ ControlType

short ControlType
| attribute readonly

denotes the type of the control, as one of the PropertyControlType constants

## ◆ ControlWindow

com::sun::star::awt::XWindow ControlWindow
| attribute readonly

denotes the window which is the real UI representation of the property control.

The ObjectInspector will automatically position and size this control as needed, care for its Z-order, and so on.

This Window must not be `NULL`, else the whole control is not usable.

## ◆ Value

any Value
set raises | ( | com::sun::star::beans::IllegalTypeException
| ) |  |
| attribute

denotes the current content of the control.

At every point in time, this value is either `VOID`, or of the type described by ValueType.

Exceptions

  com::sun::star::beans::IllegalTypeException | if an attempt is made to set a value which is not `VOID` and whose type does not equal ValueType.

## ◆ ValueType

type ValueType
| attribute readonly

denotes the value type of the control.

See also
  Value

The documentation for this interface was generated from the following file:

- com/sun/star/inspection/XPropertyControl.idl